Skip to main content
GET
/
v1
/
workspaces
/
{workspaceId}
/
pages
List pages in a workspace
curl --request GET \
  --url https://api.example.com/v1/workspaces/{workspaceId}/pages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "contentScore": 123,
      "focusKeyword": {
        "id": "<string>",
        "keyword": "<string>",
        "position": 123,
        "searchVolume": 123
      },
      "id": "<string>",
      "importedAt": "<string>",
      "lastPublishedAt": "<string>",
      "lastStatusCode": 123,
      "metaDescription": "<string>",
      "monthlyClicks": 123,
      "monthlyConversions": 123,
      "monthlyRevenue": 123,
      "monthlyTransactions": 123,
      "title": "<string>",
      "url": "<string>",
      "urlCategory": "misc",
      "wordsCount": 123
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 123,
    "page": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.semji.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_. Generate one in Settings > API Keys.

Path Parameters

workspaceId
string
required

Workspace ID.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1
contentScore
integer

Content score equals. This score out of 100 measures the SEO quality of your online content.

contentScore[gte]
integer

Content score >= (0-100).

contentScore[lte]
integer

Content score <= (0-100).

focusKeyword.keyword
string

Focus keyword equals. The Focus Keyword is the main keyword on which you want to rank your page in Google.

focusKeyword.keyword[contains]
string

Focus keyword contains the given substring.

focusKeyword.position
integer

Focus keyword average position equals. Average position of your page on its Focus Keyword over the last 30 days (Search Console).

focusKeyword.position[gte]
integer

Focus keyword average position >=.

focusKeyword.position[lte]
integer

Focus keyword average position <=.

focusKeyword.searchVolume
integer

Focus keyword monthly search volume equals. Average number of monthly searches calculated on the last 12 months.

focusKeyword.searchVolume[gte]
integer

Focus keyword monthly search volume >=.

focusKeyword.searchVolume[lte]
integer

Focus keyword monthly search volume <=.

importedAt
string

Imported on this date (ISO 8601).

importedAt[after]
string

Imported on or after (ISO 8601).

importedAt[before]
string

Imported on or before (ISO 8601).

lastPublishedAt
string

Last published on this date (ISO 8601).

lastPublishedAt[after]
string

Last published on or after (ISO 8601).

lastPublishedAt[before]
string

Last published on or before (ISO 8601).

lastStatusCode
integer

Filter by latest HTTP status code (e.g. 404).

monthlyClicks
integer

Monthly clicks equals. Clicks generated by your Pages in the last 30 days for all Countries (Search Console).

monthlyClicks[gte]
integer

Monthly clicks >=.

monthlyClicks[lte]
integer

Monthly clicks <=.

monthlyConversions
integer

Monthly conversions equals. Conversions generated by your pages over the last 30 days.

monthlyConversions[gte]
integer

Monthly conversions >=.

monthlyConversions[lte]
integer

Monthly conversions <=.

monthlyRevenue
number

Monthly revenue equals. Revenue generated by your pages over the last 30 days.

monthlyRevenue[gte]
number

Monthly revenue >=.

monthlyRevenue[lte]
number

Monthly revenue <=.

monthlyTransactions
integer

Monthly transactions equals. Transactions generated by your pages in the last 30 days for all countries.

monthlyTransactions[gte]
integer

Monthly transactions >=.

monthlyTransactions[lte]
integer

Monthly transactions <=.

q
string

Full-text search over title, url and focus keyword.

sort
enum<string>
default:-importedAt

Sort field. Prefix with - for descending.

Available options:
-importedAt,
importedAt,
-contentScore,
contentScore,
title,
-title,
-lastPublishedAt,
lastPublishedAt,
-monthlyClicks,
monthlyClicks,
-monthlyConversions,
monthlyConversions,
-monthlyTransactions,
monthlyTransactions,
-monthlyRevenue,
monthlyRevenue,
-focusKeyword.keyword,
focusKeyword.keyword,
-focusKeyword.position,
focusKeyword.position,
-focusKeyword.searchVolume,
focusKeyword.searchVolume
title
string

Title equals.

title[contains]
string

Title contains the given substring.

url
string

URL equals.

url[contains]
string

URL contains the given substring.

urlCategory

Filter by URL category. Multiple: ?urlCategory[]=a&urlCategory[]=b.

Available options:
misc,
forum,
article,
news,
article_category,
ecommerce_products_listing,
ecommerce_product_page,
landing_page,
tool,
homepage,
local,
video

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required